import type { Post } from '@blog/model/Post';

export function PostList(postList: Post[]) {
  return(
    <ul>
      {postList.map(p => {
        return (
          <li>
            <a href={p.slug}>{p.title}</a>
          </li>
        );
      })}
    </ul>
  );
}
